# coding: utf-8

"""
    Stadia Maps Geospatial APIs

    The Stadia Maps Geospatial APIs provide you with the data you need to build awesome applications.

    The version of the OpenAPI document: 6.0.0
    Contact: support@stadiamaps.com
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations
import json
from enum import Enum
from typing_extensions import Self


class CostingModel(str, Enum):
    """
    Costing models for determining the most optimal route to take. Note that bikeshare and motorcycle are still in beta. While Valhalla supports multimodal routing, we do not currently process transit data and have excluded it from the list. See https://valhalla.github.io/valhalla/api/turn-by-turn/api-reference/#costing-models for detailed descriptions of each model.
    """

    """
    allowed enum values
    """
    AUTO = 'auto'
    BUS = 'bus'
    TAXI = 'taxi'
    TRUCK = 'truck'
    BICYCLE = 'bicycle'
    BIKESHARE = 'bikeshare'
    MOTOR_SCOOTER = 'motor_scooter'
    MOTORCYCLE = 'motorcycle'
    PEDESTRIAN = 'pedestrian'
    LOW_SPEED_VEHICLE = 'low_speed_vehicle'

    @classmethod
    def from_json(cls, json_str: str) -> Self:
        """Create an instance of CostingModel from a JSON string"""
        return cls(json.loads(json_str))


